* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background: #1C1C21;
    color: white;
    font-family: Arial, sans-serif;
    padding: 20px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.divider {
    width: 100%;
    height: 1px;
    background: linear-gradient(to right, transparent, #5e5e5e, transparent);
}

.top {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.site-header {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-top: 40px;
    margin-bottom: 4px;
}

.site-body {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0px;
    margin-top: 10px;
    margin-bottom: 10px;
    /*background: #363642;*/
}

.site-body span {
    color: #c163e6;
    font-family: "Lexend", sans-serif;
    font-weight: 200;
    font-size: 20px;
    letter-spacing: 1px;
    /*background: #000000;*/
}

h1 {
    font-family: "Lexend", sans-serif;
    font-weight: 200;
    font-size: 24px;
    letter-spacing: 6px;
    color: #ffffff;
}

h2 {
    font-family: "Lexend", sans-serif;
    font-weight: 400;
    font-size: 22px;
    letter-spacing: 2px;
    color: #ffffff;
    margin: 14px;
}

p {
    font-family: "Lexend", sans-serif;
    font-weight: 200;
    font-size: 16px;
    letter-spacing: 2px;
    color: #ffffff;
    margin-left: 8px;
    margin-right: 8px;
}

.header-image {
    height: 40px;     
    width: auto;
    object-fit: cover;
}

.icon-image {
    height: 22px;     
    width: auto;
    object-fit: cover;
}

.content {
    display: flex;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
    padding-left: 80px;
    padding-right: 80px;
    align-items: stretch;
}

.infopanel {
    width: 420px;
    flex-shrink: 0;
    padding: 0px;
    margin-right: 18px;
    line-height: 1.25;
    background: #2a2a31;
    min-height: 0;
    overflow:scroll;
    overflow-y: auto;
    
    padding-bottom: 20px;
}

.infopanel .preview {
    width: 100%;
    border-radius: 0px;
    margin-bottom: 10px;
    object-fit: cover;
}

.gallery {
    flex: 1;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 0px;
    align-content: start;
}

.card {
    background: #1b1b1b;
    border-radius: 0px;
    overflow: hidden;
    max-width: 240px;
}

.card img {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    display: block;
    cursor: pointer;
    transition:
        transform 0.2s ease,
        filter 0.2s ease;

    border: 2px solid transparent;
}

.card:hover img {
    filter: brightness(1.1)
}

.card.selected img {
    border: 2px solid #ffffff;
}

.buttonBody {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;
    margin-left: 200px;
    margin-right: 200px;
    margin-top: 14px;
    margin-bottom: 14px;
}

.button {
    width: 100%;
    height: 75px;
    background: #363642;
    border: none;
    border-radius: 0px;
    cursor: pointer;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;

    transition: background 0.5s ease;

    text-decoration: none;
}

.button span {
    color: white;
    font-family: "Lexend", sans-serif;
    font-weight: 200;
    font-size: 24px;
    letter-spacing: 2px;
}

.button:hover {
    background: #4B475E;
}


.icon {
    width: 48px;
    height: 48px;
    fill: white;
    flex-shrink: 0; /* prevents squishing */
}